package com.example.survey.entity;

import lombok.*;
import org.bson.types.ObjectId;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.DBRef;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Date;
import java.util.Set;

/**
 * @author Pope
 */
@Data
@Document(collection = "project")
public class Project {

    /**
     * id
     */
    @Id
    private ObjectId id;

    /**
     * 项目名
     */
    @Indexed(unique = true)
    private String name;

    /**
     * 描述信息
     */
    private String detail;

    /**
     * 调查对象数量
     */
    private long respondentCount;

    /**
     * 未调查调查对象数量
     */
    private long notInvestigatedRespondentCount;

    /**
     * 负责人
     */
    @DBRef
    private User user;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 状态
     */
    private String state;
}
