package com.example.survey.entity;

import com.example.survey.entity.inner.Operation;
import lombok.*;
import org.bson.types.ObjectId;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.DBRef;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;
import java.util.Map;

/**
 * @author Pope
 * 调查记录表
 */
@Data
@Document(collection = "record")
public class Record {

    @Id
    private ObjectId id;

    /**
     * 调查对象
     */
    @DBRef
    private Respondent respondent;

    /**
     * 用于存放前端传的字段
     */
    private Map<String, Object> values;

    /**
     * 分配的用户
     */
    @DBRef
    private User user;

    /**
     * 操作列表
     */
    private List<Operation> operationList;

    /**
     * 记录版本
     */
    private String version;

    /**
     * 记录状态
     */
    private String state;

    /**
     * 项目集合
     */
    @DBRef
    private Project project;

    @DBRef
    private MetaData metaData;

}

